Bug 21389 - Installation Error(s) - System State
Summary: Installation Error(s) - System State
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-27 20:45 UTC by Joseph J. Farino
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-29 19:33:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda Dump? (856 bytes, text/plain)
2000-11-27 20:46 UTC, Joseph J. Farino
no flags Details

Description Joseph J. Farino 2000-11-27 20:45:48 UTC
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1619, in 
doInstall
    self.createCdrom()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1189, in 
createCdrom
    os.symlink(device, self.instPath + "/dev/" + cdname)
OSError: [Errno 28] No space left on device

Local variables in innermost frame:
device: hdc
list: ['hdc']
self: <todo.ToDo instance at 82691b8>
cdname: cdrom
count: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Joseph J. Farino 2000-11-27 20:46:17 UTC
Created attachment 5748 [details]
Anaconda Dump?

Comment 2 Joseph J. Farino 2000-11-28 13:11:53 UTC
It looks as if the was not enough space allocated for our / partition.  /tmp 
and /dev partitions were not specified in disk druid.

We allocated more room for the / partition and it seemed to fix the problem.  
Are there suggested sizes for partitions based on percentages of total drive 
space?

Comment 3 Michael Fulbright 2000-11-29 19:33:16 UTC
It depends on what the system is being used for obviously.

For a workstation system I would recommend

/boot  100M
/      at least 1 gig, more like 2-3 would be safe
/home  all the rest. This way you can reinstall the machine and choose not
       to format the /home partition and save all your data.

We have plans to 'sanity check' the partitions before installing to make sure
that there is a minimum space available.


Note You need to log in before you can comment on or make changes to this bug.